athenaCL Version History


______________________________._______________________________._____
to do (user-level):


TEmidi: renamed as TEbr (beat reference), TEtr (time ref), or TEref: 
   store parameterObjects for tempo and for time signature generation
   tempo can only be updated once per measure
   would be like a conductor track, but it does not direct time: adds info
   would require changing ao.midiTempo
   musicXml and humdrum event list output possible with beat + tempo def
   beat + tempo def can be used to latch rt evaluation of generated scores

global shared parameter objects that are stored in a dictionary
each parameter obj can have a role, with default roles given for 
tempoReference, meterReferenceNumerator, meterReferenceDenominator
need to have a generator to determine tempoSampleRate (intervals in which new tempos are drawn)

store in a dictionary with noId, role, pmtr string
TextureGlobal (TGls, TGn, TGe, TGrm)

store last-used tm



provide EMv, output engine help, output format information

TPef (TPeg complete): export filter parameters

add support for nyquist, chuck, and supercollider

problem with equal-valued pulses: exact overlap of duration end and event start
   may cause some events to be dropped w/ some output systems

new csound instruments:
   vocode w/ pluck on output channels

new PO:
   convert a rhythm parameter object to a pulse sequence
   convert a rhythm parameter object to envelops w/ fixed attach/rel?
   both have bpm supplied by an argument

____________________________________________________________________
to do (sub-user level):


add WAV support to audioTools.py with wave module
permit turning off path voice calculations

check output type of po given to texture parameters like amp
need to provide output type check for dyn pmtr objs in TMs
   define in manifest, check during update

move file path information from fpAudioDirs into aoInfo dictionary
   adjust TPmap's use of artificial aoInfo to pass paths to EventSeqeunceSplit

TEmap drawing muted textures incorectly
   spacing error seems only in postScript
   color error seems to be in clone 


_______________________________________________________________.____
to investigate:

add two parameter objects to each texture, setting upper and lower pitch space boundaries. this might be used to map pitches within dynamic boundaries after path selection, octave, and transposition controls are employed

not sure what to do when values are not within boundary: may need a new texture mode to configure this: limiting at boundary is not good, as this destroys the pitch strucutre; better is to do an octave shift, perhaps



double masks

event mode for arbitrary midi controllers as aux values

Csound 5: render scores from within python
   conditional import csnd.py; may need to add to sys.path

create bundle, in folders, rather than top-level files

allow support for SCORE style rhythm notation

object factory storing: optimize by keeping instances and copying?



____________________________________________________________________
2.0.0

added test to all modules
removed all SC and MC dependencies and functionality
removed all AS functionality
renamed a number of preferences
dropped file compatibility before 1.3
renamed CPauto to ELauto
removed APcc
consolidated CPff and CPch comamnds into APao command
changed/added AthenaObj attributes: audioFormat, audioRate




____._________________________________________________.__________.__
1.4.9

(sub-user level)

fixed bug when using a comma-separated list to name a path that does not exist

___________________._____________.____._____________________________
1.4.8 7 May 2008

(summary)
4 new ParameterObjects: EnvelopeGeneratorUnit, EnvelopeGeneratorTrapezoid, EnvelopeGeneratorAdsr, SampleAndHold
1 new Csound instrument: instrument 35

(user level)
added Csound instrument 35
added EnvelopeGeneratorUnit PO
added EnvelopeGeneratorTrapezoid PO
added EnvelopeGeneratorAdsr PO
added SampleAndHold PO

(sub-user level)
fixed error in Accumulator; now init value is the first value output
fixed bug in some CsoundNative instruments under Csound 5

__.________.______________________________._________________________
1.4.7 8 September 2007

(summary)
2 new ParameterObject: IterateSelect, BasketSelect
1 new TextureModule: InterpolateFill

(user level)
added IterateSelect, BasketSelect POs
added InterpolateFill TM
checked all uses of except for possible syntax error
all string exceptions converted to objects
AUup asks first before checking for updates

________________.____.__________________________.____.______________
1.4.6 10 August 2007

(summary)
3 new TextureModules: HarmonicShuffle, HarmonicAssembly, InterpolateLine
12 new Generator ParameterObjects: OneOver, ListPrime, ValuePrime, BreakPointHalfCosine, BreakPointFlat, MaskReject, MaskScale, BreakGraphLinear, BreakGraphPower, BreakGraphHalfCosine, BreakGraphFlat, IterateCross
4 new Filter ParameterObjects: FilterDivide, FilterDivideAnchor, MaskFilter, MaskScaleFilter
1 new Csound instrument: instrument 82
improvements to all oscillator ParameterObjects, TM Literal Vertical, and audio file rendering

(user level)
added HarmonicShuffle and HarmonicAssembly TMs
added InterpolateLine TM
added OneOver, ListPrime, ValuePrime POs
added BreakPointHalfCosine and BreakPointFlat POs
added MaskReject and MaskScale POs
added BreakGraphLinear, BreakGraphPower, BreakGraphHalfCosine, BreakGraphFlat 
added IterateCross PO
added FilterDivide and FilterDivideAnchor POs
added MaskFilter and MaskScaleFilter POs
all oscillator ParameterObjects now use POs to generate periods
added Csound instrument 82
added pathDurationFraction option to LiteralVertical
updated documentation for references to Csound 5

(sub-user level)
removed xlist.py and roughness.py
updated cgi-based bug-reporting system
improved audio file rendering

______._________._________________.______________________________.__
1.4.5 22 September 2006

fixed error prohibiting EventLists from clones based on muted textures
AUca will accept command line arguments without mutation values
1 new ParameterObject: operatorCongruence

____________________._.__________________________________________.__
1.4.4 10 April 2006
1.4.4 28 March 2006

(summary)
2 new TextureModules: TimeFill and TimeSegment
3 new Generator ParameterObjects: funnelBinary, caValue, caList
3 new Rhythm ParameterObjects: iterateRhythmGroup, iterateRhythmWindow,    
   iterateRhythmHold
2 new filter ParameterObjects: filterFunnelBinary, filterQuantize
4 new AthenaUitlity commands: AUmg, AUma, AUca, TPeg
improvements to markov tools, pulse accent implementations, PO gaRhythm, 
   TM IntervalExpansion, and commands TIdoc and TMv

(user level)
markov Transition object now supports limited regular expression notations
Pulse support symbol duration abbreviations
Pulse floating-point dynamic accent scalars implemented for all textures
added TimeFill and TimeSegment non-linear TextureModules
improvements to TM IntervalExpansion
improvements to TIdoc and TMv displays
improvements to gaRhythm: now population size is a configurable parameter
all usage of nonRedundantSwitch replaced with pitchSelectorControl
TPeg: export generator 
AUmg, AUma: utility markov command tools
AUca: utility cellular automata generation tools
markov tools support wildcard, negative, and unions
new generator parameterObject: funnelBinary, caValue, caList
new filter parameterObjects: filterFunnelBinary, filterQuantize
new rhythm parameterObjects: iterateRhythmGroup, iterateRhythmWindow
new rhythm parameterObjects: iterateRhythmHold

(sub-user level)
qunatize functionality moved to quantize.py
all critical calls to os.getcwd() checked through drawer.getcwd
drawer.getud added for cross plat user directory 
replace dialog._checkPath with drawer.pathScrub
automata.py now has complete standard and totalistic ca generators
fixed Texture pmtrQ dicts with more aux values than necessary
   loading files that have more aux values than necessary are adjusted
   when editing Texture instrument all old aux parameters are removed
fixed error in gaRhythm when source rhythm has only 2 or fewer pulses
fixed error of bad paths given with sampleSelect and analysisSelect

____._.__________________.__._______________.___________.___________
1.4.3: 10 January 2006

(user level)
complete rewrite of setup.py; added functionality for various installations
added support for complete disutils installs, mpkg, exe installers
when editing instrument in midiPercussion em, new 'auto' path's are created
added Csound instruments:  17, 72, 73
added Csound instruments:  42, 43, 44, 45, 46, 47, 48
added Csound instruments:  140, 142, 143, 144, 145, 146
added Csound instruments:  130, 131, 132, 133
added Csound instruments:  230, 231, 232, 234
added Csound instruments:  240, 241

(sub-user level)
pyflakes used for source clean-up
changed location of windows preference file: now in users application data

______..____________________________________________________________
1.4.2: 16 December 2005

(user level)
fixed incorrect labeling in TIdoc display
added new Csound instruments: 16, 34-26, 40
improved help/? command: now searches faq
added new filter po FilterMultiply
expanded TIdoc, TCdoc displays
TIdoc, TCdoc: interleave aux info with arg templates
added APea command, replaces CSapp
   (external apps), APapp, APap (app paths) 
   permits selecting external applications for audio, images, text, midi, csound
added TCcp command
fixed error in TCv command when arg passed
TIcp: clones are now copied
fixed bug in PIcp with command args
improved autostringulator interface
fixed autostringulation of character sequences that start with periods
TPmap: now provides text output for string POs and in text gfx mode
TEmap  and related commands use absolute duration values
one pixel error, on either side, of TEmap display fixed
EMv improved to provide output output format information

(sub-user level)
fixed bug that accepted bad command names and raise an error
fixed bug when bad comand-line args given to TIe
preferences added for text, image, audio, midi, and ps applications
changed external.fileFormat pref to external.audioFormat

____________________________________________________________________
1.4.1: 18 August 2005

(user level)
four new Csound instruments for samples and noise
added APr command: toggle internal event-list refreshing
edited documentation, improved examples
added ParameterObjects: henonBasket, lorenzBasket, iterateHold
TPexp writes .aif audio files
TImap command now takes optional arguments for time/event and pre/post
TCmap command now takes optional argument for time/event
fixed APdlg bug
fixed acceptance of bad object names provided at the command line

(sub-user level)
fixed error in TCo TCls name sorting
changed EventListSplit to use array.array when possible
added writeBuffer() to EventListSplit 
fixed tk dialog errors caused by bad default directories

____________________________________________________________________
1.4.0: 6 June 2005

(user-level):
new second edition of the athenaCL Tutorial Manual
added ParameterObjects: qunatize, iterateWindow, iterateGroup, 
added ParameterObjects: markovValue, markovGeneratorAnalyis
added Rhythm ParameterObjects: convertSecondTriple, markovRhythmAnalysis
added Rhythm ParameterObjects: markovPulse
added support for Paul Berg's AC Toolbox: Textures and Clones become Sections
changed all wave-based ParameterObjects to include a step (event/time) switch
changed cyclicGen to use shorter direction names
improved "help" command: searches all available help information and topics

(sub-user level):
change all parameter object names to lead w/ capitals (only internal)
fixed TPmap bug
fixed Clone auxFmt updating and loading
fixed TImv bug
prompts for getting strings are now line-wrapped
improved MC.py getUserMap method, fixed bugs
CPapp bug fixed when trying to cancel a path
fixed occasional error reading pitch octave values during Multiset creation

____________.__________.____________________________________________
1.3.0: 14 February 2005

EL (EventList) commands added (ELn/ELw now used to create scores, CSsco dropped)
EM (EventMode) commands added
EO (EventOutput) commands added: variable selection of output formats
all CS commands not moved to EM/EO are now CP, CsoundPreferences
all PM commands removed
all PE commands now SM, SetMeasure

all parameterObjects scalar, shift replaced by min, mix boundaries
   min, max boundaries can always be parameter objects as well
add dynmaic texture parameters: free slots that take arbitrary parameterObjects
   like aux parameters but function inside texture.
all textures now have levelField and levelOctave controls to select
   octave and tranposition selection (at event or set level)

PostMapMode: Orhcestra instruments now optionally scale amp and paning maps; 
all amp and pan values normalized 0 and 1 pre orchestra
SilenceMode: select if rests are calculated or skipped

TP (TextureParameter) commands added
TPv to search and get help on parameterObjects

complete reimplementation of Clones: now with clone filter parameter objects
TCdoc, TCmap, TCls commands added to TC (TextureClones)
Clones and Texture can now be independently muted

audioFile, textSpace, textTab output formats added
eps, jpg, png output formats added for TImap, TEmap, and other graphic commands

TIv properly displays texture's name   
fix all command object error message to include status flag
texture octave parameters refer to 0 as C4, (not 8 using PCH)
TIpmtr command now TIdoc
site.here python 2.4 problem resolved
SC.py, polyPath: support creating Paths sets w/ microtones
pitchTools.py: support fq-based object creation

   
____________________________________________________________________
1.2.2: 30 August 2004

fixed Pie, replace, error that caused string to be assigned instead of set.
fixed various PM errors 'r2' logging, zero division errors
improved AskUser and raw_input exception handling
added exception handling for bad file access
fixed PMext bugs
fixed xml bug when sieves contain '&' character
all parameterObjects employing selectors expanded to include 5 selectors:
randomChoice, randomWalk, randomPermutate, orderedCyclic, or orderedOscillate
rhythmObjects loop, gaRhythm, and pulseSieve can use any of the 5 selectors.
new parameterObjects: breakPointLinear, breakPointPower,
new parameterObjects: mask, logisticMap, accumulator
new parameterObjects: operatorAdd, operatorSubtract
new parameterObjects: operatorMultiply, operatorDivide, operatorPower
TImap command added: graphical displays of all parameter values for a texture
APgfx command added: set graphical output preferences
fixed bugs in Tk and Mac dialogs
fixed bugs in TIe, TEe, TEv when called w/ no textures
fixed bug in AUpc when providing a capital pitch name
fixed irrational command logging for failed TIe and TEe commands
PVe bug contained 

____________________________________________________________________
1.2.1: 10 June 2004

new rhythm parameter object added: convertSecond
new texture modules added: DroneArticulate, DroneSustain
complete reimplementation of texture loading
complete reimplementation of parameter object loading
TMpmtr.py, TMclass.py, TMfunct.py removed
TMl command removed; TM always reloaded
TMpmtr and TMrthm commands accept command line search args
SCv: prime form added to display
all image command updated to use new imageTools system
PVview, MCnet, TEmap, caMap all replace tk/pil dependent files
APgfx added to adjust graphics preferences
AUup checks for new versions of athenaCL; auto checks every 7 days at startup

__________________________________________________________________._
1.2.0: 30 January 2004

pulseSieve, valueSieve: new parameter objects built w/ sieves
AHls: history listing
AOstat renamed AUsys
AUdoc added: open documentation in a browser
AUpc: utility pitch converter for any format
AUbeat: find tempos
TIe strings no longer have to be quoted
low level sieve system complete
sieve added to MultisetFactory
complete reorganization pitch and set structures
Multiset, MultisetFactory, and Pitch classes introduced
updates to all SC, PM and PI commands to use new classes
PI class interface re-designed
SetClassAnalysis merged back into SetClass
automatic error reporting system
AOrm, PMext: minor bugs
PathInstance reference counting errors fixed (TIe, PIrm)
divide by zero error w/ rhythm fixed
MonophonicOrnament auto scales bad loop or single ornaments
MonophonicOrnament uses gauss dist for amp and dur noise
user ssdir checked and works
partial matching for all selection comamnds (TIo, TTo, PEo, PIo)

____________________________________________________________________
1.1.0: 4 September 2003

CSd writting improved for all platforms
bat file uses csd when created
CSsco now writes midi version of score
midi utility function added to TMfunct.py
midiTools.py handles all midi writting
TImidi allows user to set midi program and channel
improved all PCH algorithms in TMfunct and SC.py
fixed bug in PMengine renaming and loading
TTclass.py added: classes for temperments
added dynamics temperments
removed all references to a static TempermentDict
removed tuning.xml; xml parsing in update obj
added APcc command to customize the cursor tool
TI all loaded with uniform interface in TMclass
TIe and TIlse now accept instrument edits.
when changing inst, TI get default inst aux parameters
text wrapping fixed
all text based file dialogs updated
tempo now can be controlled with any parameter object
tempo no longer uses tapping based entry
command objects used for all commands; allows proper threading
multi-threaded command execution
animated progress bar for long commands
PIe now supports inversion as edit
all macfs calls changed to look for Carbon modules

________________________________________________________._____._____
1.0.22: 10 March 2003

created new command heading: AthenaPreferences
AOcurs, AOdlg, AOwid moved to AP
APdir comand added: set a user ssdir and user sadir
recursively searches dirs when using SampleSelect or other file parameters
fixed bug in text-version of directory chooser
added optional arg to sampleSelect to choose ordered or random selection
mac osx aquaFront added to cvs: aqua gui front end to Terminal

_______________________.__.___________.___________.____.____________
1.0.21: 9 January 2003

three new TextureModules added:
LiteralHorizontal produces exact ordered presentations of sets
LiteralVertical produces exact vertical arrangements of sets
MonophonicOrnament produces a single line with a wide variety of ornaments
PIdf: all paths now have a duration fraction, allowing time scaling for each set
all TM use path duration fractions to determine time per set
added ornament tools within TMclass.py
all parameter objects now autonomous objects, subclasses of parent class
TMrthm.py merged with TMpmtr.py
rhythm paramter objects now treated as general paramter objects
command line tools added to dialog.py to parse command line args
command line arguments work for athenacl tool and athenacl.py
distutils install option now available from setup.py
setup.py now uses 'tool' arg to install tool in /usr/local/bin
pmask dir removed from cvs
ATHorc.py renamed to orc.py
GArthm.py renamed to gaRhythm.py
ATHssdir renamed to ssdir
ATHsadir renamed to sadir
configIDLE removed cvs
new README.txt with new installation instructions
athenaCL Tutorial Manual now composed in SGML and rendered with DocBook
tools/books/manual added to store manual files and build tools
demo06.xml added

____________________._______________________________________________
1.0.20: 19 November 2002

three guitar instruments added: i50, i51, i52
tambourine instrument added: i14
fmString instrument added: i23
fixed TCls bug
replaced all uses of os.sep with os.path.join
renamed ath.py to athenacl.py
renamed athenaCL.py to athenaCmd.py
info.py added to tools to create fink .info and man page

______.__________________________________.__________________________
1.0.19: 21 October 2002

can now enter sets with pitch names: a, b#, g--
z-related sets and reference data given with SCv
SCf comand added, search by set name, by z relation
methods for super-set searches added to SC.py
SCf: added search by superset
numerous new path engines exposed to user.
numerous new temperments added to system
sort PEls
improve TTls to show tuning values
Tutorial 5 added to documentation

______________________.__________________.___________________.______
1.0.18: 2 October 2002

fixed minor bug in TCn and PIopt
MCnet spacings fixed for 2x2, 3x3, 4x4, and 5x5 maps
TCclass.py methods reworked and fixed
all calls to cloneObj within athenaObj now use proper class interface
command line arguments accepted for all TC commands
demo05.xml added with many GArthm examples

___________________________._________________.______________________
1.0.17: 9 September 2002

all commands now have command line functionality
errors when using commands with args return a usage string
AOtest added to provide a comprehensive test suite
TIpmtr added to view documentation for instruments and parameters
texture modules now have variable options, set with TIe
updated README.txt to include proper use of setup.py

___.________________________________________________________________
1.0.16: 24 August 2002

all tables now properly scale and wrap depending on screen size
AOwid added to manaully set screen width (on mac and win)
string constants moved to dialog.py
all help files in athenaCL.py moved to help.py
readline.py now imported and available on unix
fixed EOF bug and PIret bug
updated documentation and tutorials files
dkgTk.py removed (athenaTK stdin redirect now works)
text version of TImap now available
updates to TImap and PVv tk graphics
updates to all graphs (SCcm, PScma, PScmb)
gui's available checked at startup
athenaObj.py cleaned up considerably

__________________________________________________..________._______
1.0.15: 2 August 2002

preferences and tunings now stored as XML files
TItune.py removed and replaced by tuning.xml
prefTools.py added to handle preferences from within athenaCL
VL.py split into PIclass.py, MC.py, and MCdata.py
all old Vl objects renamed to mcObj
AthenaObjects now stored as XML files
ioTools added to handle xml AthenaObject input and output
AOl, AOmg, AOw all completely rewritten
AOl can still read pickled files (from pre 1.0 to 1.0.14)
gui colors and fonts placed in pref.xml file
all gui windows (PVv TImap) use color and font preferences
athenaIDLE find_idle function improved
preferences now for pythonPath and idlePath
addition of 'contrib' dir to 'demo'
TCclass update objects method simplified
GArthm range bug in mutation algorithm fixed
term() object created to get screen width on termios systems
CLdialogs, AOcmd, help: all use screen width if available

____________________________.__.._._________._______________________
1.0.14: 1 July 2002

SC database is completed, all sets and all vectors now available
SCdata.py created to store tables
ATHprefs now called prefs
ATHfaq.py now called faq.py
all 'Sc' objects have been renamed 'scObj' in various files
massive improvements to /tools/scgen.py
chapter 4 added to TutorialManual, demo "tutorial4" added to demos
added TMpmtr and TMrthm commands to view parameter documentation
updated doc strings for LineGroove and LineCluster
fixed bug introduced with parameter objects in TIlse
omde directory added for future integration

____________________________________________________________________
1.0.13: 26 February 2002

TMpmtr objects now can all use abbreviations ('bg' for basketGen)
samples in ssdir renamed
ATHdlgTk.py renamed to dlgTk.py
AOmapTk.py renamed to TImapTk.py
tempotool.py added
when using TIe tempo can now be entered by tapping the keyboard
CSauto command added: automatically render and hear scores after CSsco

_______.____.___._______________________________.______.____________
1.0.12: 4 February 2002

PVview: tk gui display of path voices
ATHorc.py now dynamically creates scores
orc.py and ATHorc.orc removed
CSch: change number of channels from 1, 2, 4
athenaTK improved: almost works now
all TI paramters now use TMpmtr objects for data
CSi avaialble from TIn
TIe and TIlse completly reworked: proper error checking now takes place
AOcursor tool redesigned a bit.
instr 30: a sample playback instrument
ATHssdir added to store samples

_________________________.__________________._______________________
1.0.10: 17 January 2002

AOmg again fully functional
? and help now interpret commands (lower case works)
athenaTK added: beginning of a complete TK gui
AOmap added: draws a tk canvas of textures and clones over time
athenaCL no longer subclasses from cmd.py
all 'compare' comands changed from "cp" to "cm"
all 'copy' commands changed from "c" to "cp"
TImv and PImv added as hidden commands. used by AOmg
AOcurs added to turn cursor tool on/off. saved in ATHprefs file

___________________.______________________._________________________
1.0.09: 28 November 2001

CSh added: open (and hear) audio files rendered with CSr.
CLdialogs text-based file dialogs improved.
TextureAttribute commands have been merged with TI commands.
new rhythm object "loop" added
rhythm object "gaRhtyhm" now accepts arguments for crossover, mutation, and elitism rates
TIv and PIv now accept command-line name arguments
new demo files: demoAO3, demoAO4

_____________________________________________________________.______
1.0.08: 15 November 2001

TextureClones greatly expanded with TCclass module.
TCe added to edit clones, can transpose, scale amp, and retrograde
rhythms now represented with "+" and "o" for rest and note.
TIc now copies clones.
TIc and PIc now take command-line arguments
PI and TImode: all "usrPaths" now called "PitchSpacePaths"
AOls added to view raw AO attributes
CSv added to open  last-created-score as a text file.
microtones now supported as TI field transpositions

_____________________________________.______________________________
1.0.07: 30 October 2001

CSd: create a csound .csd files
rhythm objects implemented for TIs
GArthm (genetic algorithm rhythms) available as TI rhythm objects
"ATHprefs" now stores all csound and python preferences

_________________________________________.__________________.__.____
1.0.06: 25 September 2001

CSr: automatically render in Csound
balance and uniformity sorting algorithm updated
"Tn" and "In" data displayed in map analysis views
CSpath now called CSapp
more new instruments

_______________._____________.______________________________________
1.0.05: 10 September 2001

PIopt added.
MCopt now shows all sets compared
.bat files now work on Windows
CSff added to select file formats
fixed bug in AOw
four new instruments added to ATHorc.orc

___.________________________________________________________________
1.0.04: 31 August 2001

added MCopt and MCgrid commands added
TextureClone commands added
all TexturePreset commands dropped
usrPath now default and working in TMs
ChordHits now LineCluster, and working
CS, for Csound, commands added
AOmk now CSsco. TMinst now CSi

________________________________.________________._.______._._______
1.0.03: 18 August 2001

added PVauto command
athenaIDLE.py now for all platforms
configIDLE info and files added
integer bug in TIe beatT fixed.

________._.____________________________.___________________.________
1.0.02: 15 August 2001

added PIe command, by both transposition and replacement
Non-mac users with Tk installed now have gui file-dialogs.
athenaIDLE.py added to make loading athenaCL in IDLE easier.

______________________________.____._____________________________.__
1.0.01: 4 August 2001

completely updated Paths into complex objects
added path voice leading opperations
all view and list displays updated
large sclae restructruing of AthenaObject
first release of the athenaCL Tutorial Manual

____.___________________________________.______________.____________
0.14.08: 15 July 2001

fixed bug when loading files on Windows.
SC.py has been rebuilt in a more efficient data structure.
updates to all SC functions, inclduing SCv.

________________________________________________.__________.________
0.14.07: 6 July 2001

fixed bug in TI copy.
TI copy now copies a texture's start and end times and beat time.
MultiPath will now be referred to as PathMulti

___________________________________________________________.._______
0.14.06: 24 June 2001

first multiplatform release: MacOs, Windows, and Unix all supported.
Tkinter GUI is dropped for completely portable command-line interface.

____._______________________________.______.________________________
0.13.10: 3 May 2001

_____________._______________________.___________.__________________
0.13.09: 16 April 2001

first public release as "Athena M.09", presented at the 2001 Society for Electro Acoustic Music in the United States (SEAMUS) National Conference

______________________._______________________________.________.____

0.13.08: 28 February 2001
0.12.02: 24 January 2000
0.11.01: 20 November 2000
0.08.01: 4 October 2000
0.07.01: 13 September 2000
0.01.02: 16 August 2000
0.00.01: 30 June 2000


